#
# spec file for package nodejs-npm-package-arg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name npm-package-arg

Name:           nodejs-npm-package-arg
Version:        4.0.1
Release:        13.1
Summary:        Parse things that can be arguments to `npm install`
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/npm/npm-package-arg
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Takes an argument like foo@1.2, or foo@user/foo, or http://x.com/foo.tgz, or git+https://github.com/user/foo, and figures out what type of thing it is.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json npa.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 4.0.1
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 4.0.0
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 10 2014 jgleissner@suse.com
- update to version 2.1.3
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- format specfile
* Fri Sep 19 2014 jgleissner@suse.com
- Initial build
